package org.apache.bcel.generic;

import org.apache.bcel.ExceptionConst;

public class MONITOREXIT extends Instruction implements ExceptionThrower, StackConsumer {
   public MONITOREXIT() {
      super((short)195, (short)1);
   }

   public void accept(Visitor v) {
      v.visitExceptionThrower(this);
      v.visitStackConsumer(this);
      v.visitMONITOREXIT(this);
   }

   public Class<?>[] getExceptions() {
      return new Class[]{ExceptionConst.NULL_POINTER_EXCEPTION};
   }
}
